package com.eco.plugin.xxx.mkssso.logout;

import com.eco.plugin.xxx.mkssso.config.PluginSimpleConfig;
import com.fr.decision.fun.impl.AbstractLogInOutEventProvider;
import com.fr.decision.webservice.login.LogInOutResultInfo;
import com.fr.decision.webservice.v10.login.LoginService;
import javax.servlet.http.HttpSession;

public class Logout extends AbstractLogInOutEventProvider {

    @Override
    public String logoutAction(LogInOutResultInfo result) {
        HttpSession session = result.getRequest().getSession(true);
        String idtoken = String.valueOf(session.getAttribute("idtoken"));
        LoginService.getInstance().crossDomainLogout(result.getRequest(),result.getResponse(),"");
        session.invalidate();
        PluginSimpleConfig psc = PluginSimpleConfig.getInstance();
        return psc.getLogoutUrl()+"?id_token_hint="+idtoken+"&post_logout_redirect_uri="+psc.getRedirecturl();
    }
}

