package com.eco.plugin.xxx.mkssso.serverdata;

import com.fr.base.TableData;
import com.fr.design.data.tabledata.tabledatapane.AbstractTableDataPane;
import com.fr.design.fun.ServerTableDataDefineProvider;
import com.fr.design.fun.impl.AbstractTableDataDefineProvider;
import com.fr.design.i18n.Toolkit;

public class UserHttpTableDataDefine extends AbstractTableDataDefineProvider implements ServerTableDataDefineProvider {

    @Override
    public int currentAPILevel() {
        return CURRENT_LEVEL;
    }

    @Override
    public Class<? extends TableData> classForTableData() {
        return UserHttpTableData.class;
    }

    @Override
    public Class<? extends TableData> classForInitTableData() {
        return UserHttpTableData.class;
    }

    @Override
    public Class<? extends AbstractTableDataPane> appearanceForTableData() {
        return UserHttpTableDataPane.class;
    }

    @Override
    public String nameForTableData() {
        return Toolkit.i18nText("用户数据集");
    }

    @Override
    public String prefixForTableData() {
        return "mk_user";
    }

    @Override
    public String iconPathForTableData() {
        return "";
    }

}